import QtQuick 2.0
import CustomElements 0.1

Item {
    property real angle: 0.0

    id: window
    width: 800;
    height: 800

    Tile {
        id: tile
        x: window.width * 0.5
        y: window.height * 0.5
        size: Math.min(window.width, window.height) * 0.75

        transform: Rotation {
            axis.x: 0.0; axis.y: 1.0; axis.z: 0.0; angle: window.angle;
        }
    }

    MouseArea {
        property bool pressed: false
        property real pressed_x: 0.0
        property real pressed_y: 0.0

        anchors.fill: parent
        acceptedButtons: Qt.LeftButton
        onPressed: {
            pressed = true;
            pressed_x = mouse.x
        }
        onReleased: {
            pressed = false;
        }
        onPositionChanged: {
            if (pressed == true) {
                window.angle += mouse.x - pressed_x;
                pressed_x = mouse.x;
            }
        }
    }
}
